-- On cre les tables de dispatch des groupes des vnements et des acquittements et les index ncessaires
IF NOT EXISTS (SELECT * FROM sys.tables WHERE name = 'JRNL_EVT_GRP') CREATE TABLE JRNL_EVT_GRP (JEG_EventId integer, JEG_GroupId integer);
IF @@ERROR = 0 print 'Table JRNL_EVT_GRP created' ELSE print 'Error while creating table JRNL_EVT_GRP';

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE name = 'SK_JEG_GroupId') CREATE NONCLUSTERED INDEX [SK_JEG_GroupId] ON [dbo].[JRNL_EVT_GRP] ([JEG_GroupId]) INCLUDE ([JEG_EventId]);
IF @@ERROR = 0 print 'Index SK_JEG_GroupId created on JRNL_EVT_GRP' ELSE print 'Error while creating index SK_JEG_GroupId on JRNL_EVT_GRP';

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE name = 'SK_JEG_GroupIdEventId') CREATE NONCLUSTERED INDEX [SK_JEG_GroupIdEventId] ON [dbo].[JRNL_EVT_GRP] ([JEG_EventId] ASC, [JEG_GroupId] 
ASC) WITH (SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF) ON [PRIMARY];
IF @@ERROR = 0 print 'Index SK_JEG_GroupIdEventId created on JRNL_EVT_GRP' ELSE print 'Error while creating index SK_JEG_GroupIdEventId on JRNL_EVT_GRP';

IF NOT EXISTS (SELECT * FROM sys.tables WHERE name = 'JRNL_ACK_GRP') CREATE TABLE JRNL_ACK_GRP (JAG_EventId integer, JAG_GroupId integer);
IF @@ERROR = 0 print 'Table JRNL_ACK_GRP created' ELSE print 'Error while creating table JRNL_ACK_GRP';